Subject: bug#8492: 23.3; Time to use a different binding for completion?

From: Stefan Kangas <[email-masked]>
Date: Thu, 21 Oct 2021 12:44:01 -0700

Reuben Thomas <[email-masked]> writes:

> Emacs binds various completion functions to M-Tab, which is already used
> by many window managers, including Compiz and Metacity, i.e. the WMs one
> is likely to use on a modern GNU system, for switching between open
> windows.
>
> Is it therefore time to admit defeat and find an alternative binding for
> completion functions, even if it’s an extra binding rather than simply a
> different one?

(This is a long and sprawling discussion.)

In my opinion, the least intrusive change is to allow C-i and TAB to be
bound separately on graphical displays.